Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.messaging
Class RequestMessage

    java.lang.Object
      rice.p2p.replication.messaging.ReplicationMessage
          rice.p2p.replication.messaging.RequestMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class RequestMessage
extends ReplicationMessage

Version:
  $Id: RequestMessage.java,v 1.5 2005/03/11 00:58:12 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected IdBloomFilter[]` | `filters` DESCRIBE THE FIELD
`protected IdRange[]` | `ranges` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.replication.messaging.ReplicationMessage
`source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`RequestMessage(NodeHandle source, IdRange[] ranges, IdBloomFilter[] filters)` Constructor which takes a unique integer Id

Method Summary
`IdBloomFilter[]` | `getFilters()` Method which returns this messages' bloom filters
`IdRange[]` | `getRanges()` Method which returns this messages' ranges

Methods inherited from class rice.p2p.replication.messaging.ReplicationMessage
`getPriority, getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ranges

    protected IdRange[] ranges

  DESCRIBE THE FIELD

### filters

    protected IdBloomFilter[] filters

  DESCRIBE THE FIELD

Constructor Detail

### RequestMessage

    public RequestMessage(NodeHandle source,
                          IdRange[] ranges,
                          IdBloomFilter[] filters)

  Constructor which takes a unique integer Id

Parameters:
  `source` - The source address
  `ranges` - DESCRIBE THE PARAMETER
  `filters` - DESCRIBE THE PARAMETER

Method Detail

### getRanges

    public IdRange[] getRanges()

  Method which returns this messages' ranges

  Returns:
    The ranges of this message

### getFilters

    public IdBloomFilter[] getFilters()

  Method which returns this messages' bloom filters

  Returns:
    The bloom filters of this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.